Package com.logicaldoc.core.dashlet

# Class DashletContent

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
com.logicaldoc.core.dashlet.DashletContent

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public class DashletContent extends jakarta.servlet.http.HttpServlet
This servlet is responsible for rendering dashlet's contents.

Since:
  8.2.3
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class jakarta.servlet.http.HttpServlet

`LEGACY_DO_HEAD`

## Constructor Summary

Constructors
Constructor
Description
`DashletContent()`

## Method Summary

Modifier and Type
Method
Description
`static Session`
`validateSession(jakarta.servlet.http.HttpServletRequest request)`

### Methods inherited from class jakarta.servlet.http.HttpServlet

`init, service`

### Methods inherited from class jakarta.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DashletContent

public DashletContent()

## Method Details

### validateSession

public static Session validateSession(jakarta.servlet.http.HttpServletRequest request) throws jakarta.servlet.ServletException

Throws:
  `jakarta.servlet.ServletException`